TTF_SetFontScript(3)

NAME
TTF_SetFontScript - Set the script to be used for text shaping by a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontScript(TTF_Font *font, Uint32 script);

DESCRIPTION
This returns false if SDL_ttf isn't built with HarfBuzz support.

This updates any TTF_Text
 objects using this font.

FUNCTION PARAMETERS

font
    the font to modify.

script
    an
     .

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_StringToTag(3)